%define name lifetunes
%define version 0.4
%define release %mkrel 2 

Summary:	An application to stream music results from Seeqpod.com
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://www.bashterritory.com/lifetunes/
Source0:  	http://www.bashterritory.com/lifetunes/%{name}-%{version}.tar.bz2
Source1:        %{name}.png
License:	GPL
Group:		Sound
BuildArch:      noarch
Buildroot:	%{_tmppath}/%{name}-%{version}-root
Requires:      gstreamer0.10-python
Requires:      pygtk2.0-libglade
Requires:      pygtk2.0
Requires:     gstreamer0.10-plugins-base

%description
An application to stream music results from Seeqpod.com
LifeTunes, the tunes that make you, who you are.

%prep

%setup -q

%build


%install
rm -rf %{buildroot}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/
%__install -m 0644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/pixmaps

mkdir -p $RPM_BUILD_ROOT%{_bindir}/
%__install -m 0755 lifetunes  $RPM_BUILD_ROOT/%{_bindir}/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/
cp -af  *.png  *.py lifetunesgui.glade $RPM_BUILD_ROOT%{_datadir}/%{name}/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
%__install -m 0755  %{name}.desktop $RPM_BUILD_ROOT%{_datadir}/applications/


%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%files 
%defattr(-,root,root)
%doc LICENSE.txt
%{_bindir}/*
%{_datadir}/%{name}*
%{_datadir}/pixmaps/*.png
%{_datadir}/applications
%{_datadir}/*/*.desktop


%changelog
* Sat May 23 2009 Texstar <texstar@gmail.com> 0.4-2pclos2009
- fix rpm group

* Thu Jul 31 2008 Slick50 <slick50@linuxgator.org> 0.4-1pclos2007
- Initial build


